# Detection of Potential Geothermal Exploration Sites from Hyperspectral Images via Deep Learning
# Author: Ebubekir Demir <edemir@mines.edu>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.

import argparse

from osgeo import gdal, ogr, osr
import numpy as np
import pandas as pd
from tqdm import tqdm
import math
from osgeo import gdal
from osgeo.gdalconst import *
import os


def accuracy(distancemap0, distancemap1, file):
    ds0 = gdal.Open(distancemap0)
    xsize0 = ds0.RasterXSize
    ysize0 = ds0.RasterYSize
    gnd0_layer = ds0.GetRasterBand(1)
    gnd0 = gnd0_layer.ReadAsArray()
    gnd0 = np.array(gnd0, dtype=float)
    ds1 = gdal.Open(distancemap1)
    xsize1 = ds1.RasterXSize
    ysize1 = ds1.RasterYSize
    gnd1_layer = ds1.GetRasterBand(1)
    gnd1 = gnd1_layer.ReadAsArray()
    gnd1 = np.array(gnd1, dtype=float)
    assert xsize0 == xsize1, "xsize mismatch"
    assert ysize0 == ysize1, "ysize mismatch"
    ds2 = gdal.Open(file)
    xsize2 = ds2.RasterXSize
    ysize2 = ds2.RasterYSize
    assert xsize0 == xsize2, "xsize mismatch"
    assert ysize0 == ysize2, "ysize mismatch"
    prd_layer = ds2.GetRasterBand(1)
    prd = prd_layer.ReadAsArray()
    prd = np.array(prd, dtype=float)
    gnd0[prd != 0.0] = 0
    val0 = float(np.sum(gnd0))
    gnd1[prd != 1.0] = 0
    val1 = float(np.sum(gnd1))
    print(file, val0, val1)



if __name__ == '__main__':
    distancemap0 = ""
    distancemap1 = ""
    file = ""
    accuracy(distancemap0, distancemap1, file)
